package com.xunao.effectdemo.bean;

import com.google.gson.Gson;
import com.xunao.effectdemo.net.BaseBean;

import java.io.Serializable;
import java.util.List;

/**
 * author : 程中强
 * e-mail : 740479946@qq.com
 * date : 2022/9/2210:06
 * desc :
 * version: 1.0
 */

public class MediaBean implements Serializable {

	public static MediaBean parse(String jsonStr) {
		Gson gson = new Gson();
		MediaBean bean = gson.fromJson(jsonStr, MediaBean.class);
		return bean;
	}

	/**
	 * error : 0
	 * errortip : 根据关卡ID获取资源信息
	 * result : {"list":{"steps_id":"48671","steps_title":"U5 Let's Read Review","steps_category":"9","steps_categoryname":"文字泛红","steps_goldfirstcorrect":"4","steps_goldagaincorrect":"2","steps_goldfirsterror":"0","steps_goldagainerror":"0","steps_mp3url":"https://oss.kidcastle.cn/manage/201811011427x845825513.mp3","steps_oggurl":"https://oss.kidcastle.cn/manage/201811011427x722643684.ogg","steps_lyric":"karaoke := CreateKaraokeObject;\nkaraoke.rows := 2;\nkaraoke.clear;\n\nkaraoke.songname := '歌曲名称'; // 请替换歌曲名称\nkaraoke.singer := '歌手名'; // 请替换歌手姓名\n\n\nkaraoke.add(0000368, 0001448, '[ Daydreaming ]', '1080');\nkaraoke.add(0002412, 0006075, '[  Matt''s ][favorite ][comic ][book ][is ][\"Ludoman\".]', '530,490,584,486,493,1080');\nkaraoke.add(0006454, 0012504, '[He ][thinks ][the ][stories ][are ][more ][interesting ][than ][other ][comic ][books. ]', '484,581,349,601,399,409,1023,347,404,373,1080');\nkaraoke.add(0012653, 0017703, '[Sometimes, ][Matt ][dreams ][that ][he ][is ][Ludoman. ]', '1237,425,890,296,594,528,1080');\nkaraoke.add(0017995, 0021585, '[  This ][old ][woman ][is ][really ][hungry. ]', '467,440,735,485,383,1080');\nkaraoke.add(0021606, 0024312, '[What ][can ][Ludoman ][do? ]', '393,444,789,1080');\nkaraoke.add(0024416, 0026380, '[He ][has ][an ][idea! ]', '416,265,258,1025');\nkaraoke.add(0026380, 0030504, '[He ][flies ][to ][his ][friend ][Pizzaman''s ][house. ]', '496,567,466,304,524,774,993');\nkaraoke.add(0030504, 0035227, '[  Look, ][here ][come ][Ludoman ][and ][Pizzaman. ]', '1174,362,442,1073,592,1080');\nkaraoke.add(0035497, 0038940, '[They ][make ][very ][delicious ][pizza. ]', '695,338,478,853,1079');\nkaraoke.add(0038940, 0041991, '[There ][is ][enough ][for ][everyone. ]', '623,461,530,365,1072');\nkaraoke.add(0042068, 0047575, '[  \"Matt, ][come ][and ][help ][me, ][please!\" ][Matt''s ][mom ][shouts. ]', '1211,455,283,289,452,915,430,392,1080');\nkaraoke.add(0047857, 0051617, '[Even ][Ludoman ][has ][to ][help ][his ][mom! ]', '498,1072,493,335,456,256,650');","steps_lyricjson":[{"starttime":"368","endtime":"1448","isp":"1","word":["Daydreaming "],"wordtims":["1080"]},{"starttime":"2412","endtime":"6075","isp":"1","word":["Matt\u2019s ","favorite ","comic ","book ","is ","\"Ludoman\"."],"wordtims":["530","490","584","486","493","1080"]},{"starttime":"6454","endtime":"12504","isp":"0","word":["He ","thinks ","the ","stories ","are ","more ","interesting ","than ","other ","comic ","books. "],"wordtims":["484","581","349","601","399","409","1023","347","404","373","1080"]},{"starttime":"12653","endtime":"17703","isp":"0","word":["Sometimes, ","Matt ","dreams ","that ","he ","is ","Ludoman. "],"wordtims":["1237","425","890","296","594","528","1080"]},{"starttime":"17995","endtime":"21585","isp":"1","word":["This ","old ","woman ","is ","really ","hungry. "],"wordtims":["467","440","735","485","383","1080"]},{"starttime":"21606","endtime":"24312","isp":"0","word":["What ","can ","Ludoman ","do? "],"wordtims":["393","444","789","1080"]},{"starttime":"24416","endtime":"26380","isp":"0","word":["He ","has ","an ","idea! "],"wordtims":["416","265","258","1025"]},{"starttime":"26380","endtime":"30504","isp":"0","word":["He ","flies ","to ","his ","friend ","Pizzaman\u2019s ","house. "],"wordtims":["496","567","466","304","524","774","993"]},{"starttime":"30504","endtime":"35227","isp":"1","word":["Look, ","here ","come ","Ludoman ","and ","Pizzaman. "],"wordtims":["1174","362","442","1073","592","1080"]},{"starttime":"35497","endtime":"38940","isp":"0","word":["They ","make ","very ","delicious ","pizza. "],"wordtims":["695","338","478","853","1079"]},{"starttime":"38940","endtime":"41991","isp":"0","word":["There ","is ","enough ","for ","everyone. "],"wordtims":["623","461","530","365","1072"]},{"starttime":"42068","endtime":"47575","isp":"1","word":["\"Matt, ","come ","and ","help ","me, ","please!\" ","Matt\u2019s ","mom ","shouts. "],"wordtims":["1211","455","283","289","452","915","430","392","1080"]},{"starttime":"47857","endtime":"51617","isp":"0","word":["Even ","Ludoman ","has ","to ","help ","his ","mom! "],"wordtims":["498","1072","493","335","456","256","650"]}]}}
	 * serverlbs : lbs4
	 */

	private String error;
	private String errortip;
	private ResultBean result;
	private String serverlbs;

	public String getError() {
		return error;
	}

	public void setError(String error) {
		this.error = error;
	}

	public String getErrortip() {
		return errortip;
	}

	public void setErrortip(String errortip) {
		this.errortip = errortip;
	}

	public ResultBean getResult() {
		return result;
	}

	public void setResult(ResultBean result) {
		this.result = result;
	}

	public String getServerlbs() {
		return serverlbs;
	}

	public void setServerlbs(String serverlbs) {
		this.serverlbs = serverlbs;
	}

	public static class ResultBean implements Serializable {
		/**
		 * list : {"steps_id":"48671","steps_title":"U5 Let's Read Review","steps_category":"9","steps_categoryname":"文字泛红","steps_goldfirstcorrect":"4","steps_goldagaincorrect":"2","steps_goldfirsterror":"0","steps_goldagainerror":"0","steps_mp3url":"https://oss.kidcastle.cn/manage/201811011427x845825513.mp3","steps_oggurl":"https://oss.kidcastle.cn/manage/201811011427x722643684.ogg","steps_lyric":"karaoke := CreateKaraokeObject;\nkaraoke.rows := 2;\nkaraoke.clear;\n\nkaraoke.songname := '歌曲名称'; // 请替换歌曲名称\nkaraoke.singer := '歌手名'; // 请替换歌手姓名\n\n\nkaraoke.add(0000368, 0001448, '[ Daydreaming ]', '1080');\nkaraoke.add(0002412, 0006075, '[  Matt''s ][favorite ][comic ][book ][is ][\"Ludoman\".]', '530,490,584,486,493,1080');\nkaraoke.add(0006454, 0012504, '[He ][thinks ][the ][stories ][are ][more ][interesting ][than ][other ][comic ][books. ]', '484,581,349,601,399,409,1023,347,404,373,1080');\nkaraoke.add(0012653, 0017703, '[Sometimes, ][Matt ][dreams ][that ][he ][is ][Ludoman. ]', '1237,425,890,296,594,528,1080');\nkaraoke.add(0017995, 0021585, '[  This ][old ][woman ][is ][really ][hungry. ]', '467,440,735,485,383,1080');\nkaraoke.add(0021606, 0024312, '[What ][can ][Ludoman ][do? ]', '393,444,789,1080');\nkaraoke.add(0024416, 0026380, '[He ][has ][an ][idea! ]', '416,265,258,1025');\nkaraoke.add(0026380, 0030504, '[He ][flies ][to ][his ][friend ][Pizzaman''s ][house. ]', '496,567,466,304,524,774,993');\nkaraoke.add(0030504, 0035227, '[  Look, ][here ][come ][Ludoman ][and ][Pizzaman. ]', '1174,362,442,1073,592,1080');\nkaraoke.add(0035497, 0038940, '[They ][make ][very ][delicious ][pizza. ]', '695,338,478,853,1079');\nkaraoke.add(0038940, 0041991, '[There ][is ][enough ][for ][everyone. ]', '623,461,530,365,1072');\nkaraoke.add(0042068, 0047575, '[  \"Matt, ][come ][and ][help ][me, ][please!\" ][Matt''s ][mom ][shouts. ]', '1211,455,283,289,452,915,430,392,1080');\nkaraoke.add(0047857, 0051617, '[Even ][Ludoman ][has ][to ][help ][his ][mom! ]', '498,1072,493,335,456,256,650');","steps_lyricjson":[{"starttime":"368","endtime":"1448","isp":"1","word":["Daydreaming "],"wordtims":["1080"]},{"starttime":"2412","endtime":"6075","isp":"1","word":["Matt\u2019s ","favorite ","comic ","book ","is ","\"Ludoman\"."],"wordtims":["530","490","584","486","493","1080"]},{"starttime":"6454","endtime":"12504","isp":"0","word":["He ","thinks ","the ","stories ","are ","more ","interesting ","than ","other ","comic ","books. "],"wordtims":["484","581","349","601","399","409","1023","347","404","373","1080"]},{"starttime":"12653","endtime":"17703","isp":"0","word":["Sometimes, ","Matt ","dreams ","that ","he ","is ","Ludoman. "],"wordtims":["1237","425","890","296","594","528","1080"]},{"starttime":"17995","endtime":"21585","isp":"1","word":["This ","old ","woman ","is ","really ","hungry. "],"wordtims":["467","440","735","485","383","1080"]},{"starttime":"21606","endtime":"24312","isp":"0","word":["What ","can ","Ludoman ","do? "],"wordtims":["393","444","789","1080"]},{"starttime":"24416","endtime":"26380","isp":"0","word":["He ","has ","an ","idea! "],"wordtims":["416","265","258","1025"]},{"starttime":"26380","endtime":"30504","isp":"0","word":["He ","flies ","to ","his ","friend ","Pizzaman\u2019s ","house. "],"wordtims":["496","567","466","304","524","774","993"]},{"starttime":"30504","endtime":"35227","isp":"1","word":["Look, ","here ","come ","Ludoman ","and ","Pizzaman. "],"wordtims":["1174","362","442","1073","592","1080"]},{"starttime":"35497","endtime":"38940","isp":"0","word":["They ","make ","very ","delicious ","pizza. "],"wordtims":["695","338","478","853","1079"]},{"starttime":"38940","endtime":"41991","isp":"0","word":["There ","is ","enough ","for ","everyone. "],"wordtims":["623","461","530","365","1072"]},{"starttime":"42068","endtime":"47575","isp":"1","word":["\"Matt, ","come ","and ","help ","me, ","please!\" ","Matt\u2019s ","mom ","shouts. "],"wordtims":["1211","455","283","289","452","915","430","392","1080"]},{"starttime":"47857","endtime":"51617","isp":"0","word":["Even ","Ludoman ","has ","to ","help ","his ","mom! "],"wordtims":["498","1072","493","335","456","256","650"]}]}
		 */

		private ListBean list;

		public ListBean getList() {
			return list;
		}

		public void setList(ListBean list) {
			this.list = list;
		}

		public static class ListBean implements Serializable {
			/**
			 * steps_id : 48671
			 * steps_title : U5 Let's Read Review
			 * steps_category : 9
			 * steps_categoryname : 文字泛红
			 * steps_goldfirstcorrect : 4
			 * steps_goldagaincorrect : 2
			 * steps_goldfirsterror : 0
			 * steps_goldagainerror : 0
			 * steps_mp3url : https://oss.kidcastle.cn/manage/201811011427x845825513.mp3
			 * steps_oggurl : https://oss.kidcastle.cn/manage/201811011427x722643684.ogg
			 * steps_lyric : karaoke := CreateKaraokeObject;
			 karaoke.rows := 2;
			 karaoke.clear;

			 karaoke.songname := '歌曲名称'; // 请替换歌曲名称
			 karaoke.singer := '歌手名'; // 请替换歌手姓名


			 karaoke.add(0000368, 0001448, '[ Daydreaming ]', '1080');
			 karaoke.add(0002412, 0006075, '[  Matt''s ][favorite ][comic ][book ][is ]["Ludoman".]', '530,490,584,486,493,1080');
			 karaoke.add(0006454, 0012504, '[He ][thinks ][the ][stories ][are ][more ][interesting ][than ][other ][comic ][books. ]', '484,581,349,601,399,409,1023,347,404,373,1080');
			 karaoke.add(0012653, 0017703, '[Sometimes, ][Matt ][dreams ][that ][he ][is ][Ludoman. ]', '1237,425,890,296,594,528,1080');
			 karaoke.add(0017995, 0021585, '[  This ][old ][woman ][is ][really ][hungry. ]', '467,440,735,485,383,1080');
			 karaoke.add(0021606, 0024312, '[What ][can ][Ludoman ][do? ]', '393,444,789,1080');
			 karaoke.add(0024416, 0026380, '[He ][has ][an ][idea! ]', '416,265,258,1025');
			 karaoke.add(0026380, 0030504, '[He ][flies ][to ][his ][friend ][Pizzaman''s ][house. ]', '496,567,466,304,524,774,993');
			 karaoke.add(0030504, 0035227, '[  Look, ][here ][come ][Ludoman ][and ][Pizzaman. ]', '1174,362,442,1073,592,1080');
			 karaoke.add(0035497, 0038940, '[They ][make ][very ][delicious ][pizza. ]', '695,338,478,853,1079');
			 karaoke.add(0038940, 0041991, '[There ][is ][enough ][for ][everyone. ]', '623,461,530,365,1072');
			 karaoke.add(0042068, 0047575, '[  "Matt, ][come ][and ][help ][me, ][please!" ][Matt''s ][mom ][shouts. ]', '1211,455,283,289,452,915,430,392,1080');
			 karaoke.add(0047857, 0051617, '[Even ][Ludoman ][has ][to ][help ][his ][mom! ]', '498,1072,493,335,456,256,650');
			 * steps_lyricjson : [{"starttime":"368","endtime":"1448","isp":"1","word":["Daydreaming "],"wordtims":["1080"]},{"starttime":"2412","endtime":"6075","isp":"1","word":["Matt\u2019s ","favorite ","comic ","book ","is ","\"Ludoman\"."],"wordtims":["530","490","584","486","493","1080"]},{"starttime":"6454","endtime":"12504","isp":"0","word":["He ","thinks ","the ","stories ","are ","more ","interesting ","than ","other ","comic ","books. "],"wordtims":["484","581","349","601","399","409","1023","347","404","373","1080"]},{"starttime":"12653","endtime":"17703","isp":"0","word":["Sometimes, ","Matt ","dreams ","that ","he ","is ","Ludoman. "],"wordtims":["1237","425","890","296","594","528","1080"]},{"starttime":"17995","endtime":"21585","isp":"1","word":["This ","old ","woman ","is ","really ","hungry. "],"wordtims":["467","440","735","485","383","1080"]},{"starttime":"21606","endtime":"24312","isp":"0","word":["What ","can ","Ludoman ","do? "],"wordtims":["393","444","789","1080"]},{"starttime":"24416","endtime":"26380","isp":"0","word":["He ","has ","an ","idea! "],"wordtims":["416","265","258","1025"]},{"starttime":"26380","endtime":"30504","isp":"0","word":["He ","flies ","to ","his ","friend ","Pizzaman\u2019s ","house. "],"wordtims":["496","567","466","304","524","774","993"]},{"starttime":"30504","endtime":"35227","isp":"1","word":["Look, ","here ","come ","Ludoman ","and ","Pizzaman. "],"wordtims":["1174","362","442","1073","592","1080"]},{"starttime":"35497","endtime":"38940","isp":"0","word":["They ","make ","very ","delicious ","pizza. "],"wordtims":["695","338","478","853","1079"]},{"starttime":"38940","endtime":"41991","isp":"0","word":["There ","is ","enough ","for ","everyone. "],"wordtims":["623","461","530","365","1072"]},{"starttime":"42068","endtime":"47575","isp":"1","word":["\"Matt, ","come ","and ","help ","me, ","please!\" ","Matt\u2019s ","mom ","shouts. "],"wordtims":["1211","455","283","289","452","915","430","392","1080"]},{"starttime":"47857","endtime":"51617","isp":"0","word":["Even ","Ludoman ","has ","to ","help ","his ","mom! "],"wordtims":["498","1072","493","335","456","256","650"]}]
			 */

			private String steps_id;
			private String steps_title;
			private String steps_category;
			private String steps_categoryname;
			private String steps_goldfirstcorrect;
			private String steps_goldagaincorrect;
			private String steps_goldfirsterror;
			private String steps_goldagainerror;
			private String steps_mp3url;
			private String steps_oggurl;
			private String steps_lyric;
			private List<StepsLyricjsonBean> steps_lyricjson;

			public String getSteps_id() {
				return steps_id;
			}

			public void setSteps_id(String steps_id) {
				this.steps_id = steps_id;
			}

			public String getSteps_title() {
				return steps_title;
			}

			public void setSteps_title(String steps_title) {
				this.steps_title = steps_title;
			}

			public String getSteps_category() {
				return steps_category;
			}

			public void setSteps_category(String steps_category) {
				this.steps_category = steps_category;
			}

			public String getSteps_categoryname() {
				return steps_categoryname;
			}

			public void setSteps_categoryname(String steps_categoryname) {
				this.steps_categoryname = steps_categoryname;
			}

			public String getSteps_goldfirstcorrect() {
				return steps_goldfirstcorrect;
			}

			public void setSteps_goldfirstcorrect(String steps_goldfirstcorrect) {
				this.steps_goldfirstcorrect = steps_goldfirstcorrect;
			}

			public String getSteps_goldagaincorrect() {
				return steps_goldagaincorrect;
			}

			public void setSteps_goldagaincorrect(String steps_goldagaincorrect) {
				this.steps_goldagaincorrect = steps_goldagaincorrect;
			}

			public String getSteps_goldfirsterror() {
				return steps_goldfirsterror;
			}

			public void setSteps_goldfirsterror(String steps_goldfirsterror) {
				this.steps_goldfirsterror = steps_goldfirsterror;
			}

			public String getSteps_goldagainerror() {
				return steps_goldagainerror;
			}

			public void setSteps_goldagainerror(String steps_goldagainerror) {
				this.steps_goldagainerror = steps_goldagainerror;
			}

			public String getSteps_mp3url() {
				return steps_mp3url;
			}

			public void setSteps_mp3url(String steps_mp3url) {
				this.steps_mp3url = steps_mp3url;
			}

			public String getSteps_oggurl() {
				return steps_oggurl;
			}

			public void setSteps_oggurl(String steps_oggurl) {
				this.steps_oggurl = steps_oggurl;
			}

			public String getSteps_lyric() {
				return steps_lyric;
			}

			public void setSteps_lyric(String steps_lyric) {
				this.steps_lyric = steps_lyric;
			}

			public List<StepsLyricjsonBean> getSteps_lyricjson() {
				return steps_lyricjson;
			}

			public void setSteps_lyricjson(List<StepsLyricjsonBean> steps_lyricjson) {
				this.steps_lyricjson = steps_lyricjson;
			}

			public static class StepsLyricjsonBean implements Serializable {
				/**
				 * starttime : 368
				 * endtime : 1448
				 * isp : 1
				 * word : ["Daydreaming "]
				 * wordtims : ["1080"]
				 */

				private String starttime;
				private String endtime;
				private String isp;
				private List<String> word;
				private List<String> wordtims;

				public String getStarttime() {
					return starttime;
				}

				public void setStarttime(String starttime) {
					this.starttime = starttime;
				}

				public String getEndtime() {
					return endtime;
				}

				public void setEndtime(String endtime) {
					this.endtime = endtime;
				}

				public String getIsp() {
					return isp;
				}

				public void setIsp(String isp) {
					this.isp = isp;
				}

				public List<String> getWord() {
					return word;
				}

				public void setWord(List<String> word) {
					this.word = word;
				}

				public List<String> getWordtims() {
					return wordtims;
				}

				public void setWordtims(List<String> wordtims) {
					this.wordtims = wordtims;
				}
			}
		}
	}
}
